# Import libraries
from libs import config_lib as cl
from libs import log_lib as log
from libs import mail_lib as ml
import json
import os


def notifica(config, periodo, proceso, error, host_ip):
    try:
        if not config:
            e = "Archivo de configuración sin informacion, revise."
            raise Exception(e)

        if not periodo:
            e = ("Debe ingresar el periodo a ejecutar.")
            raise Exception(e)
        else:
            print("periodo: " + periodo)

        if not proceso:
            e = ("Debe ingresar el nombre del proceso.")
            raise Exception(e)
        else:
            print("proceso: " + proceso)

        # start log
        if error:
            ml.notifica_error(config, periodo, proceso, host_ip)
        else:
            ml.notifica_exito(config, periodo, proceso, host_ip)
    except Exception as e:
        raise (e)
